<template>
  <div>
    <div>
      <b-table hover :items="sortedLIst" ></b-table>
    </div>
    <!-- {{info}} -->
  </div>
</template>

<script>
export default {
  name: "Table",
  props:{
    search: String
  },
  created() {
    this.axios.get('http://localhost:5000/')
.then(response => (this.info = response.data));   
    if(this.search){this.list = this.info;}
  },
  computed:{
    sortedLIst: function(list){
      list = this.info
      //сделать локальную копию массива с данными, и применяя фильтр к исходному генерировать новый,
      // что бы не потерять исходный
      list = list.filter(stroka => {
        return Object.keys(stroka).some((key)=>
         {return String(stroka[key]).toLowerCase().indexOf(this.search.toLowerCase()) > -1
        }) 
      });
      return (list)
    }
  },

  data() {
    return {
      info: [],
    }
  }
}
</script>

<style scoped>
</style>